com.gemstone.gbjstats

## Enum GbjCacheStats.CacheType

- java.lang.Object
- - java.lang.Enum<GbjCacheStats.CacheType>
  - - com.gemstone.gbjstats.GbjCacheStats.CacheType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GbjCacheStats.CacheType>
  Enclosing class:
    GbjCacheStats

      public static enum GbjCacheStats.CacheType
      extends java.lang.Enum<GbjCacheStats.CacheType>

  A representation for various types of GS processes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APP`
    `GEM`
    `PGSVR`
    `SPCMON`
    `STATMON`
    `STONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GbjCacheStats.CacheType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GbjCacheStats.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SPCMON

          public static final GbjCacheStats.CacheType SPCMON

    - #### STONE

          public static final GbjCacheStats.CacheType STONE

    - #### PGSVR

          public static final GbjCacheStats.CacheType PGSVR

    - #### GEM

          public static final GbjCacheStats.CacheType GEM

    - #### STATMON

          public static final GbjCacheStats.CacheType STATMON

    - #### APP

          public static final GbjCacheStats.CacheType APP

  - ### Method Detail

    - #### values

          public static GbjCacheStats.CacheType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GbjCacheStats.CacheType c : GbjCacheStats.CacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GbjCacheStats.CacheType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null